Bug 127327 - [maintainer update] mail/libetpan update to version 0.56
Summary: [maintainer update] mail/libetpan update to version 0.56
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Martin Wilke
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2008-09-12 17:30 UTC by Pawel Pekala
Modified: 2009-01-12 13:00 UTC (History)
0 users

See Also:


Attachments
libetpan.diff (975 bytes, patch)
2008-09-12 17:30 UTC, Pawel Pekala
no flags Details | Diff
libetpan.057.txt (9.66 KB, text/plain)
2008-11-16 06:00 UTC, bf
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Pawel Pekala 2008-09-12 17:30:01 UTC

Update mail/libetpan to version 0.56

 This is stability update, it fxes 3 crashers and nothing more,
see this link for details:

http://libetpan.cvs.sourceforge.net/libetpan/libetpan/ChangeLog?revision=1.367&view=markup

Any chances this could be commited before 6.4 an 7.1 release?
Comment 1 Martin Wilke freebsd_committer 2008-09-12 17:33:57 UTC
Responsible Changed
From-To: freebsd-ports-bugs->miwi

I'll take it.
Comment 2 bf 2008-11-16 06:00:08 UTC
I'd propose that we update to 0.57 instead, because claws-mail 3.6.1
requires it.  I've attached a patch that does this, and also: 

-adds the ipv6 CATEGORY;
-attempts to fix the build WITHOUT_IPV6; 
-sorts the pkg-plist;
-adds a minor CONFIGURE_ENV tweak.

Regards,
         b.


      
Comment 3 Pawel Pekala 2008-11-17 16:32:43 UTC
Just to be on the same page here, committing of this port and all of
claws-mail-* ports is planned after ports freeze in which we are now.

Everything looks ok, just one remark:

+.if defined(WITHOUT_IPV6) || defined(WITHOUT_INET6) ||
 defined(WITHOUT_INET6_SUPPORT)

here I think we should stick to knobs defined in /usr/ports/KNOBS, so
only check for WITHOUT_IPV6.
Comment 4 bf 2008-11-17 17:14:59 UTC
--- On Mon, 11/17/08, Pawe=C5=82 P=C4=99kala <c0rn@o2.pl> wrote:

> From: Pawe=C5=82 P=C4=99kala <c0rn@o2.pl>
> Subject: Re: ports/127327: [maintainer update] mail/libetpan update to ve=
rsion 0.56
> To: "bf" <bf2006a@yahoo.com>
> Cc: bug-followup@FreeBSD.org, miwi@FreeBSD.org
> Date: Monday, November 17, 2008, 11:32 AM
> Just to be on the same page here, committing of this port
> and all of
> claws-mail-* ports is planned after ports freeze in which
> we are now.
>=20
> Everything looks ok, just one remark:
>=20
> +.if defined(WITHOUT_IPV6) || defined(WITHOUT_INET6) ||
>  defined(WITHOUT_INET6_SUPPORT)
>=20
> here I think we should stick to knobs defined in
> /usr/ports/KNOBS, so
> only check for WITHOUT_IPV6.

If you like -- but I think the added cost of the additional checks is
negligible, and I was trying to protect those who may have disabled
ipv6 in the base system by using the last two knobs in make.conf, rather
than a separate src.conf, which is sometimes the case.  See src.conf(5).

Regards,
         b.


=0A=0A=0A
Comment 5 Pawel Pekala 2008-11-17 19:04:23 UTC
>If you like -- but I think the added cost of the additional checks is
>negligible, and I was trying to protect those who may have disabled
>ipv6 in the base system by using the last two knobs in make.conf,
>rather than a separate src.conf, which is sometimes the case.  See
>src.conf(5).

I was not familiar with src.conf before as I`m still on FreeBSD 6. After
reading it`s manpage I think it was especially created to end mixing
of ports and src options in make.conf, which is a little messy thing
to do. So I think we should follow src developers example and try
not to mix options of ports and src trees.

 What is your take on this matter miwi?
Comment 6 Martin Wilke freebsd_committer 2009-01-12 12:50:41 UTC
State Changed
From-To: open->closed

Committed. Thanks!
Comment 7 dfilter service freebsd_committer 2009-01-12 12:50:46 UTC
miwi        2009-01-12 12:50:32 UTC

  FreeBSD ports repository

  Modified files:
    mail/libetpan        Makefile distinfo 
  Log:
  - Update to 0.57
  
  PR:             127327
  Submitted by:   "Pawel Pekala" <c0rn@o2.pl> (maintainer)
  
  Revision  Changes    Path
  1.50      +17 -7     ports/mail/libetpan/Makefile
  1.30      +3 -3      ports/mail/libetpan/distinfo
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"